Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(123)

Issue 1429793002: Make panel window's header color customizable in Ash. (Closed)

Created:
4 years, 3 months ago by fukino
Modified:
4 years, 3 months ago
Reviewers:
stevenjb, benwells
CC:
chromium-reviews, kalyank, sadrul, tfarina
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Make panel window's header color customizable in Ash. Normal Chrome OS app window (ash::CustomFrameViewAsh) has an ability to change header color. But if the type is 'panel', ash::PanelFrameView is used and it doesn't have the ability. This CL adds the ability to change the header color for panel window. BUG=548111 Committed: https://crrev.com/18db4658834fea19245fc3bef77a66793736989d Cr-Commit-Position: refs/heads/master@{#358005}

Patch Set 1 #

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+12 lines, -1 line) Patch
M ash/wm/panels/panel_frame_view.h View 1 chunk +4 lines, -0 lines 0 comments Download
M ash/wm/panels/panel_frame_view.cc View 1 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/apps/chrome_native_app_window_views_aura.cc View 1 chunk +3 lines, -1 line 0 comments Download

Messages

Total messages: 18 (7 generated)
fukino
Hi benwells@, could you take a look? I'm looking around the code, but still not ...
4 years, 3 months ago (2015-10-30 06:03:46 UTC) #4
benwells
On 2015/10/30 06:03:46, fukino wrote: > Hi benwells@, could you take a look? > I'm ...
4 years, 3 months ago (2015-11-02 00:42:40 UTC) #5
fukino
On 2015/11/02 00:42:40, benwells wrote: > On 2015/10/30 06:03:46, fukino wrote: > > Hi benwells@, ...
4 years, 3 months ago (2015-11-04 04:36:52 UTC) #6
fukino
Hi stevenjb@, could you take a look at ash/wm/panels/?
4 years, 3 months ago (2015-11-04 04:38:19 UTC) #8
stevenjb
This seems fine. I'm a little concerned that CustomFrameViewAsh and PanelFrameView have drifted apart some; ...
4 years, 3 months ago (2015-11-04 18:55:28 UTC) #9
fukino
On 2015/11/04 18:55:28, stevenjb wrote: > This seems fine. I'm a little concerned that CustomFrameViewAsh ...
4 years, 3 months ago (2015-11-05 02:37:55 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1429793002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1429793002/20001
4 years, 3 months ago (2015-11-05 02:39:03 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_amd64-generic_chromium_compile_only_ng/builds/53281) chromeos_daisy_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, ...
4 years, 3 months ago (2015-11-05 02:48:52 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1429793002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1429793002/20001
4 years, 3 months ago (2015-11-05 04:34:29 UTC) #16
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years, 3 months ago (2015-11-05 05:13:33 UTC) #17
commit-bot: I haz the power
4 years, 3 months ago (2015-11-05 05:14:19 UTC) #18
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/18db4658834fea19245fc3bef77a66793736989d
Cr-Commit-Position: refs/heads/master@{#358005}

Powered by Google App Engine
This is Rietveld 408576698